Credits
List Credit Transactions
List credit transaction history with pagination.
List credit transaction history with pagination.
Authorization
bearerAuth AuthorizationBearer <token>
API key as Bearer token. Format: signsecure_xxxxxxxx...
In: header
Query Parameters
page?integer
Page number
Default
1Range
1 <= valuelimit?integer
Items per page
Default
50Range
1 <= value <= 100type?string
Filter by transaction type
Value in
"consume" | "add" | "refund"Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.signsecure.com/api/v1/credits/transactions"{
"items": [
{
"id": "string",
"type": "consume",
"amount": 0,
"balanceAfter": 0,
"reason": "string",
"description": "string",
"documentId": "string",
"signatureMethod": "string",
"source": "api",
"createdAt": "2019-08-24T14:15:22Z"
}
],
"pageInfo": {
"page": 0,
"limit": 0,
"total": 0,
"totalPages": 0,
"hasNext": true,
"hasPrevious": true
}
}{
"code": "VALIDATION_ERROR",
"message": "type: Invalid enum value",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z",
"details": {
"validation": {
"fieldErrors": {
"type": [
"Invalid enum value"
]
},
"formErrors": [],
"issues": [
{
"path": "type",
"message": "Invalid enum value",
"code": "invalid_enum_value"
}
]
}
}
}{
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "FORBIDDEN",
"message": "API key is disabled",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "An internal error occurred",
"requestId": "req_abc123",
"timestamp": "2026-03-11T10:30:00.000Z"
}Get Usage Statistics GET
Get credit usage statistics for a given period.
Create Document POST
Create a new document. Returns a presigned upload URL for uploading the PDF file. After creating the document, use the returned `uploadUrl` to upload your PDF via a `PUT` request to S3. **File Constraints:** - Only `application/pdf` is supported - Max file size: 10MB